ایجاد اپ با نسخه های اندروید بالا

- 2 سال پیش
توسط طاها تقدس آپدیت شد
محمد قنبری ( 1682 تجربه )
2 سال پیش
تخصص : FullStack Developer

سلام
یه سوال در رابطه با ایجاد اپ داشتم
توی دوره ری اکت نیتیو شرکت کردم و برام یه سوال پیش آمده که گفته شده حتما از نسخه 6 و 6 به بالا باید استفاده بشه
سوال اینه که من بیام با این نسخه اندروید رو build کنم روی دیوایس های پایین تر مثلا 4 یا 5 هم کار میکنه ؟

حسام موسوی ( 169404 تجربه )
2 سال پیش
تخصص : طراح و برنامه نویس

سلام ببینید استفاده از sdk 23 برای ایجاد اپلیکیشن در react native به این معنی نیست که تنها device هایی که با این ورژن هستن تنها قادر به اجرای اپ شما هستن
یک مقداری در کانفیگ های react native یا همون برای اندروید وجود داره به اسم minSdkVersion که نشون دهنده اینکه کمترین sdk شما چی هست که معمولا برای React Native روی ۱۶ هست .

طاها تقدس ( 352 تجربه )
2 سال پیش

پیرو حرف آقای موسوی : در پوشه روت پروژه‌‌تون به پوشه android برید. سپس وارد پوشه app بشید و فایل build.gradle رو با یک تکست ادیتور باز کنید، دنبال minSdkVersion بگردید و عدد جلوش رو تغییر بدید.

در واقع محل فایل build.gradle که گفتم اینطوره :

yourProject\android\app

برای ارسال پاسخ باید وارد سایت شوید